Bug 195526 - [maintainer] irc/bitchx: Update to 1.2.1
Summary: [maintainer] irc/bitchx: Update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Johannes Jost Meixner
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2014-11-30 12:32 UTC by Anonymous
Modified: 2015-01-29 13:15 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (dan.mashal)


Attachments
update file (5.19 KB, text/plain)
2014-11-30 12:32 UTC, Anonymous
no flags Details
Updated patch file (5.13 KB, patch)
2014-12-01 06:50 UTC, Anonymous
no flags Details | Diff
new patch 01-27 (4.98 KB, patch)
2015-01-27 22:32 UTC, Anonymous
koobs: maintainer-approval? (dan.mashal)
Details | Diff
log (389.33 KB, text/x-log)
2015-01-28 13:08 UTC, Anonymous
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anonymous 2014-11-30 12:32:28 UTC
Created attachment 150024 [details]
update file

Update BitchX to 1.2.1 using main sf project page.
Add note mentioning dan is AFK
Remove patches and add them as sed's as I beleive there no point in such pointless patch files. one patch file was merge directly into the core suite.
Remove striping as that cause the issue regarding clang crashing BitchX as well as no need to strip bins.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-30 12:32:28 UTC
Maintainer CC'd
Comment 3 Anonymous 2014-12-01 06:50:23 UTC
Created attachment 150059 [details]
Updated patch file

THis patch fixes a few issues, typos.
Comment 4 Anonymous 2014-12-02 17:57:26 UTC
I am the maintainer, my email was changed from c.petrik.sosa@ to chris@bsdjunk.com, patch shows this.
Comment 5 John Marino freebsd_committer 2015-01-22 10:28:47 UTC
I *HIGHLY* recommend that you add "[maintainer]" at the beginning of a subject when you are submitting a PR against your own port.

Some of us scan for "[maintainer]" PRs by not adding this keyword to the subject, the PR gets passed over.

This is just a hint to get PRs processed faster.
Comment 6 John Marino freebsd_committer 2015-01-22 10:30:32 UTC
If you provide a poudriere bulk -t testlog, I'll promote the PR.  Otherwise I'll leave it for somebody else.

(That's another hint for success, PRs with poudriere logs get cherry-picked)
Comment 8 Johannes Jost Meixner freebsd_committer 2015-01-27 17:45:26 UTC
I'll take it.
Comment 9 Anonymous 2015-01-27 22:32:37 UTC
Created attachment 152283 [details]
new patch 01-27

Updated patch should apply cleanly.....
Comment 10 Anonymous 2015-01-27 22:35:24 UTC
I finally figured out how to upload the build logs to have the sexy poud html stuffs.

http://cpet.multics.org/poudriere/2015-01-27_14h08m15s/build.html
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-01-28 05:31:53 UTC
Hi Chris, could you attach the poudriere logs in this issue please, thank you.
Comment 13 Anonymous 2015-01-28 13:08:19 UTC
Created attachment 152310 [details]
log

log
Comment 14 commit-hook freebsd_committer 2015-01-29 13:14:39 UTC
A commit references this bug:

Author: xmj
Date: Thu Jan 29 13:14:00 UTC 2015
New revision: 378116
URL: https://svnweb.freebsd.org/changeset/ports/378116

Log:
  irc/bitchx: update to 1.2.1

  - update to 1.2.1
  - use OPTIONS helpers
  - remove unnecessary Perl depencency
  - remove unnecessary GCC dependency
  - Add support for hebrew language (as option)
  - Add helpful toggles (as option
  - Kill files/ directory

  PR:		195526
  Differential Revision:	https://reviews.freebsd.org/D1710
  Submitted by:	Chris Petrik <chris@bsdjunk.com>
  Approved by:	koobs (mentor)

Changes:
  head/irc/bitchx/Makefile
  head/irc/bitchx/distinfo
  head/irc/bitchx/files/
  head/irc/bitchx/pkg-plist
Comment 15 Johannes Jost Meixner freebsd_committer 2015-01-29 13:15:38 UTC
Committed, thanks!